import { FG_Plugin } from 'src/plugins';

const mainRoutes: FG_Plugin.PluginRouteConfig[] = [
  {
    title: 'Dienste',
    icon: 'mdi-briefcase',
    permissions: ['user'],
    route: {
      path: 'schedule',
      name: 'schedule',
      component: () => import('../pages/MainPage.vue'),
    },
    children: [
      {
        title: 'Dienstübersicht',
        icon: 'mdi-account-group',

        shortcut: true,
        permissions: [],
        route: {
          path: 'schedule-overview',
          name: 'schedule-overview',
          component: () => import('../pages/Overview.vue'),
        },
      },
      {
        title: 'Dienstverwaltung',
        icon: 'mdi-account-details',
        shortcut: false,
        route: {
          path: 'schedule-management',
          name: 'schedule-management',
          component: () => import('../pages/Management.vue'),
        },
      },
      {
        title: 'Dienstanfragen',
        icon: 'mdi-account-switch',
        shortcut: false,
        route: {
          path: 'schedule-requests',
          name: 'schedule-requests',
          component: () => import('../pages/Requests.vue'),
        },
      },
    ],
  },
];

export default mainRoutes;
