import { Module } from 'vuex';
import routes from './routes';
import { FG_Plugin } from 'src/plugins';
import { defineAsyncComponent } from 'vue';
import { UserSessionState } from './store';
import usersStore, { UserStateInterface } from './store/user';
import sessionsStorage, { SessionStateInterface } from './store/session';

const plugin: FG_Plugin.Plugin = {
  name: 'User',
  mainRoutes: routes,
  requiredModules: [],
  requiredBackendModules: ['auth'],
  version: '0.0.1',
  store: new Map<
    string,
    Module<UserStateInterface, UserSessionState> | Module<SessionStateInterface, UserSessionState>
  >([
    ['users', usersStore],
    ['sessions', sessionsStorage],
  ]),
  widgets: [
    {
      priority: 1,
      name: 'greeting',
      permissions: [],
      widget: defineAsyncComponent(() => import('./components/Widget.vue')),
    },
  ],
};

export default plugin;
